{
  "name": "piuchebuono",
  "version": "1.2.28",
  "description": "PiuCheBuono",
  "productName": "PiuCheBuono",
  "author": "Surya",
  "private": true,
  "keywords": [],
  "license": "MIT",
  "type": "module",
  "scripts": {
    "dev": "PORT=8085;APP_VERSION='1.2.28' quasar dev",
    "dev_noCheck": "SKIP_TSC=true quasar dev",
    "build": "quasar build",
    "buildpwa": "NODE_ENV=production quasar build -m pwa",
    "buildpwatest": "NODE_ENV=production quasar build -m pwa",
    "type-check": "vue-tsc --noEmit",
    "type-check:watch": "vue-tsc --noEmit --watch",
    "buildspa": "quasar build -m spa",
    "lint": "eslint -c ./eslint.config.js \"./src*/**/*.{ts,js,cjs,mjs,vue}\"",
    "lintfile": "eslint --ext .js,.ts,.vue --ignore-path .gitignore ./ > file.out.txt",
    "lintfileNoJS": "eslint --ext .ts,.vue --ignore-path .gitignore ./ > file.out.txt",
    "fix": "eslint -c ./eslint.config.js \"./src*/**/*.{ts,js,cjs,mjs,vue}\" --ignore-pattern .gitignore ./ --fix > file.out.txt",
    "pwa": "NODE_ENV=development:PORT=8095:APP_VERSION='1.2.28' quasar dev -m pwa",
    "spa": "NODE_ENV=development:PORT=8085:APP_VERSION='1.2.28' quasar dev",
    "debug": "quasar dev --mode debug",
    "test": "echo \"No test specified\" && exit 0",
    "generate-sw": "workbox generateSW workbox-config.js",
    "postinstall": "quasar prepare"
  },
  "dependencies": {
    "@cubejs-client/core": "^1.2.13",
    "@quasar/extras": "^1.16.17",
    "@quasar/quasar-ui-qcalendar": "^4.1.2",
    "@types/leaflet": "^1.9.16",
    "@vue/compat": "^3.5.13",
    "@vue/compiler-sfc": "^3.5.13",
    "@vuelidate/core": "^2.0.3",
    "@vuelidate/validators": "^2.0.4",
    "acorn": "^8.14.0",
    "animate.css": "^4.1.1",
    "autoprefixer": "^10.4.20",
    "axios": "^1.8.1",
    "bcryptjs": "^3.0.2",
    "chart.js": "^4.4.8",
    "core-js": "^3.41.0",
    "crypto-browserify": "^3.12.1",
    "date-fns": "^4.1.0",
    "echarts": "5.6.0",
    "eslint-plugin-n": "^17.15.1",
    "eslint-plugin-quasar": "^1.1.0",
    "graphql": "^16.10.0",
    "graphql-tag": "^2.12.6",
    "gsap": "^3.12.7",
    "html2pdf.js": "^0.10.3",
    "jquery": "^3.7.1",
    "js-cookie": "^3.0.5",
    "leaflet": "^1.9.4",
    "leaflet-routing-machine": "^3.2.12",
    "leaflet.markercluster": "^1.5.3",
    "localforage": "^1.10.0",
    "lodash": "^4.17.21",
    "normalize.css": "^8.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^3.0.1",
    "qrcode-vue3": "^1.7.1",
    "quasar": "^2.18.0",
    "quasar-extras": "^2.0.9",
    "register-service-worker": "^1.7.2",
    "scrollreveal": "^4.0.9",
    "typescript-eslint": "^8.25.0",
    "vee-validate": "^4.15.0",
    "vue": "^3.5.13",
    "vue-class-component": "^8.0.0-rc.1",
    "vue-country-code": "^1.1.3",
    "vue-echarts": "^7.0.3",
    "vue-i18n": "^11.1.1",
    "vue-idb": "^0.2.0",
    "vue-image-zoomer": "^2.4.4",
    "vue-property-decorator": "^10.0.0-rc.3",
    "vue-router": "^4.5.0",
    "vue-scroll-reveal": "^2.1.0",
    "vue-social-sharing": "^4.0.0-alpha4",
    "vue-svgicon": "^4.0.0-alpha.3",
    "vue-timeago3": "^2.3.2",
    "vue2-dragula": "^2.5.5",
    "vue3-pdf-app": "^1.0.3",
    "vue3-qr-reader": "^1.0.0",
    "vuex": "^4.1.0",
    "vuex-router-sync": "^6.0.0-rc.1",
    "workbox-core": "^7.3.0",
    "workbox-precaching": "^7.3.0",
    "workbox-routing": "^7.3.0",
    "workbox-strategies": "^7.3.0",
    "workbox-window": "^7.3.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.21.0",
    "@intlify/unplugin-vue-i18n": "^6.0.3",
    "@quasar/app-vite": "^2.1.1",
    "@types/bcryptjs": "^2.4.6",
    "@types/google.maps": "^3.58.1",
    "@types/jest": "^29.5.14",
    "@types/js-cookie": "^3.0.6",
    "@types/node": "^22.13.8",
    "@types/nprogress": "^0.2.3",
    "@types/vue-tel-input": "^2.1.7",
    "@types/vuelidate": "^0.7.22",
    "@vue/devtools": "^7.7.2",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.4.0",
    "autoprefixer": "^10.4.20",
    "eslint": "9",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-vue": "^9.32.0",
    "file-loader": "^6.2.0",
    "globals": "^16.0.0",
    "http-proxy-middleware": "^3.0.3",
    "jest": "^29.7.0",
    "json-loader": "^0.5.7",
    "nodemon": "^3.1.9",
    "npm-check-updates": "^17.1.15",
    "parcel": "^2.13.3",
    "postcss": "^8.5.3",
    "postcss-loader": "^8.1.1",
    "prettier": "3",
    "strip-ansi": "=7.1.0",
    "ts-jest": "^29.2.6",
    "typescript": "5.7.3",
    "vite-plugin-checker": "^0.9.0",
    "vue-cli-plugin-element-ui": "^1.1.4",
    "vue-tsc": "^2.2.6",
    "vueify": "^9.4.1",
    "workbox-build": "^7.3.0"
  },
  "engines": {
    "node": "^28 || ^26 || ^24 || ^22 || ^20 || ^18",
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  }
}